summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Michael Filz <the_emmel@gmx.net>2010-12-12 22:33:39 -0600
committer Robby Workman <rworkman@slackbuilds.org>2010-12-12 22:33:39 -0600
commit2b2504b1b0037f6621b4730978f36cbf72bbcd01 (patch)
treed05504303ca6e54b59413c304547f31ed7d64bb7 /desktop
parent4d85ef0e110ee9f5c1a883e7ac8a5039c100e877 (diff)
downloadslackbuilds-2b2504b1b0037f6621b4730978f36cbf72bbcd01.tar.gz
slackbuilds-2b2504b1b0037f6621b4730978f36cbf72bbcd01.tar.xz
desktop/cellwriter: Added (grid entry app)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/cellwriter/README5
-rw-r--r--desktop/cellwriter/cellwriter.SlackBuild79
-rw-r--r--desktop/cellwriter/cellwriter.info10
-rw-r--r--desktop/cellwriter/doinst.sh9
-rw-r--r--desktop/cellwriter/slack-desc19
5 files changed, 122 insertions, 0 deletions
diff --git a/desktop/cellwriter/README b/desktop/cellwriter/README
new file mode 100644
index 0000000000..0447bee882
--- /dev/null
+++ b/desktop/cellwriter/README
@@ -0,0 +1,5 @@
+CellWriter is a grid-entry natural handwriting input panel. As you
+write characters into the cells, your writing is instantly recognized
+at the character level. When you press Enter on the panel, the input
+you entered is sent to the currently focused application as if typed
+on the keyboard.
diff --git a/desktop/cellwriter/cellwriter.SlackBuild b/desktop/cellwriter/cellwriter.SlackBuild
new file mode 100644
index 0000000000..14ece97546
--- /dev/null
+++ b/desktop/cellwriter/cellwriter.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for cellwriter
+# Written by Michael Filz <the_emmel@gmx.net>
+
+PRGNAM=cellwriter
+VERSION=${VERSION:-1.3.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --without-gnome
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/cellwriter/cellwriter.info b/desktop/cellwriter/cellwriter.info
new file mode 100644
index 0000000000..37d915a414
--- /dev/null
+++ b/desktop/cellwriter/cellwriter.info
@@ -0,0 +1,10 @@
+PRGNAM="cellwriter"
+VERSION="1.3.4"
+HOMEPAGE="http://risujin.org/cellwriter/"
+DOWNLOAD="http://pub.risujin.org/cellwriter/cellwriter-1.3.4.tar.gz"
+MD5SUM="72b4e552a32d6acd888da0b88aeebbdd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michael Filz"
+EMAIL="the_emmel@gmx.net"
+APPROVED="rworkman"
diff --git a/desktop/cellwriter/doinst.sh b/desktop/cellwriter/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/desktop/cellwriter/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/cellwriter/slack-desc b/desktop/cellwriter/slack-desc
new file mode 100644
index 0000000000..3a3116a9e9
--- /dev/null
+++ b/desktop/cellwriter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cellwriter: CellWriter (grid entry app)
+cellwriter:
+cellwriter: CellWriter is a grid-entry natural handwriting input panel. As you
+cellwriter: write characters into the cells, your writing is instantly recognized
+cellwriter: at the character level. When you press Enter on the panel, the input
+cellwriter: you entered is sent to the currently focused application as if typed
+cellwriter: on the keyboard.
+cellwriter:
+cellwriter: Homepage: http://risujin.org/cellwriter/
+cellwriter:
+cellwriter: